Modify

Opened 2 years ago

Last modified 2 years ago

#20350 new defect

openvpn-easy-rsa: inherit-inter won't work as intended

Reported by: Diftraku Owned by: developers
Priority: normal Milestone:
Component: packages Version: Trunk
Keywords: openvpn easy-rsa Cc:

Description

Due to the patch introduced in #38411, you are unable to have intermediate CAs on the same box.

Even if you got the trouble of building an intermediate and create the skeleton for it, /usr/sbin/inherit-inter (and others) will always source the /etc/easy-rsa/vars, even when you want to work on an intermediate CA.

The simplest fix is to just drop the lines that source the default vars file (. /etc/easy-rsa/vars) and rely on the original scripts to warn about sourcing the appropriate vars (as intended in upstream).

This issue is present and accounted for on Barrier Breaker 14.07 (Rev: r42625, Target: x86/generic)

Attachments (0)

Change History (1)

comment:1 Changed 2 years ago by Diftraku

Meant changeset r38411, not a ticket. Trac is refusing to work with me, so I can't edit the ticket body.

Add Comment

Modify Ticket

Action
as new .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.